Package org.eclipse.net4j.util

## Class ArrayUtil

- java.lang.Object
- - org.eclipse.net4j.util.ArrayUtil

-     public final class ArrayUtil
      extends java.lang.Object

  Various static helper methods.
  Since:
    3.4
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> T[]` | `add​(T[] array, T element)` |
    `static <T> T[]` | `remove​(T[] array, T element)` |
    `static java.lang.String` | `toString​(java.lang.Object[] array)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          public static <T> T[] add​(T[] array,
                                    T element)

    - #### remove

          public static <T> T[] remove​(T[] array,
                                       T element)

    - #### toString

          public static java.lang.String toString​(java.lang.Object[] array)